Getnet DocsGetnet Docs

Listar ordens de um link

GET/payment-links/{link_id}/orders

Lists the payment orders for a link. Returns the X-Total-Count header.

Header Parameters

Authorizationstringrequired

Bearer Token (JWT). x-seller-id, country, and tenant are extracted from the token.

Path Parameters

link_idstringrequired

UUID v4 of the payment link

Query Parameters

created_at_startstring
created_at_endstring
first_namestring
last_namestring
document_numberstring
customerstring
pageinteger
limitinteger
sortstring
sort_typestring
statusstring

Response

List of orders

order_idstring<uuid>
link_idstring<uuid>
currencystring

ISO 4217 code (3 letters). Main ones: BRL, ARS, CLP, MXN, EUR, UYU, USD, COP, PEN

amountinteger
reference_codestring
checkout_idstring
customerobject
Show customer properties
first_namestring
last_namestring
namestring
emailstring<email>
document_typestring
document_numberstring
phone_numberstring
billing_addressobject
Show billing_address properties
streetstring
numberstring
complementstring
districtstring
citystring
statestring
countrystring
postal_codestring
referencestring
shippingobject
Show shipping properties
first_namestring
namestring
emailstring<email>
phone_numberstring
shipping_amountinteger

Shipping cost in cents

addressobject
Show address properties
streetstring
numberstring
complementstring
districtstring
citystring
statestring
countrystring
postal_codestring
referencestring
status"paid" | "pending" | "approved" | "refunded" | "denied" | "authentication_denied"
historyobject[]
created_atstring<date-time>
updated_atstring<date-time>

Bad request - validation error

error_codestring
messagestring
detailsobject[]
Show details properties
messagestring
pathstring
status_codeinteger

Not found

error_codestring
messagestring
status_codeinteger

Unprocessable entity

error_codestring
messagestring
status_codeinteger

Internal server error

error_codestring
messagestring
status_codeinteger
Request
curl -X GET "https://api-sbx.pre.globalgetnet.com/dpy/payment-link/v1/payment-links/<link_id>/orders?created_at_start=<created_at_start>&created_at_end=<created_at_end>&first_name=<first_name>&last_name=<last_name>&document_number=<document_number>&customer=<customer>&page=<page>&limit=<limit>&sort=<sort>&sort_type=<sort_type>&status=<status>" \
  -H "Authorization: <Authorization>"
Response
[
  {
    "order_id": "7b22a6b5-d24d-4d6e-90e5-5b06cf41d0a1",
    "link_id": "9e5dcedc-1e5f-4e85-9b64-4d0b43d98c82",
    "currency": "BRL",
    "amount": 9990,
    "reference_code": "Pagamento do serviço prestado",
    "checkout_id": "checkout_abc123",
    "customer": {
      "first_name": "João",
      "last_name": "da Silva",
      "name": "João da Silva",
      "email": "[email protected]",
      "document_type": "CPF",
      "document_number": "12345678912",
      "phone_number": "5551999887766",
      "billing_address": {
        "street": "Av. Brasil",
        "number": "1000",
        "complement": "Sala 1",
        "district": "São Geraldo",
        "city": "Porto Alegre",
        "state": "RS",
        "country": "Brasil",
        "postal_code": "90230060",
        "reference": "string"
      }
    },
    "shipping": {
      "first_name": "João",
      "name": "João da Silva",
      "email": "[email protected]",
      "phone_number": "5551999887766",
      "shipping_amount": 3000,
      "address": {
        "street": "Av. Brasil",
        "number": "1000",
        "complement": "Sala 1",
        "district": "São Geraldo",
        "city": "Porto Alegre",
        "state": "RS",
        "country": "Brasil",
        "postal_code": "90230060",
        "reference": "string"
      }
    },
    "status": "paid",
    "history": [
      {}
    ],
    "created_at": "2026-03-27T12:00:00Z",
    "updated_at": "2026-03-27T12:05:00Z"
  }
]